config.FunctionContext = {
    'AssumeNoUndef': False,
    'RepresentGlobals': False
}
config.FragmentDecomposition.Strategy = 'Body'
config.Analyzer = {
    'Variant': 'UnilateralAnalyzer',
    'Incremental': True
}

config.AbstractDomain = [
        SimpleConstProp,
        Interval,
        NumRels.Unsigned(ParamStrategy.AllValuePairs(True)),    # symmetric pairs
        BitMask.Relational(ParamStrategy.AllValuePairs(False)), # non-symmetric pairs
        BitMask.Single
    ]
