; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep -E '^res = (\*)+000$' %t2

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Edges'}
; CONFIG: config.AbstractDomain = [BitMask.Single]

define i64 @test(i64 %ptr) #0 {
bb:
  %tmp = urem i64 %ptr, 8
  %tmp1 = icmp eq i64 %tmp, 0
  br i1 %tmp1, label %bb2, label %bb3

bb2:                                              ; preds = %bb
  br label %bb7

bb3:                                              ; preds = %bb
  %tmp4 = add i64 %ptr, 8
  %tmp5 = urem i64 %ptr, 8
  %tmp6 = sub i64 %tmp4, %tmp5
  br label %bb7

bb7:                                              ; preds = %bb3, %bb2
  %res = phi i64 [ %ptr, %bb2 ], [ %tmp6, %bb3 ]
  ret i64 %res
}
