; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2

; RUN: grep -F 'a = **********1*****' %t2
; RUN: grep -F 'a = x + 0000000000*00000' %t2
; RUN: grep -F 'b = a + 0000000000001101' %t2
; RUN: grep -F 'b = x + 0000000000*01101' %t2

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [BitMask.Relational, BitMask.Single]

define zeroext i16 @test(i16 zeroext %x) #0 {
bb:
  %a = or i16 %x, 32
  %b = add i16 %a, 13
  ret i16 %b
}
