/**
 * RUN: clang -c -emit-llvm %s -o %t1.pre.bc
 * RUN: opt -mem2reg -instnamer %t1.pre.bc -o %t1.bc
 * RUN: %sprinstrument -config all_serializable_domains %t1.bc %t2.db %t2.bc
 * RUN: clang %t2.bc %rt_flags -o %t2
 * RUN: %t2
 * RUN: %spranalyze -mode=only-dynamic -where=everywhere %t2.bc | %probe_filter %t1.bc > %t2.post
 *
 * : grep "probe2 >= probe1" %t2.post
 */

#include <stdio.h>

extern void sprattus_probe(int, ...);

volatile int a_global;

int main(int argc, char** argv)
{
	sprattus_probe(0, &a_global);
	return 0;
}
