; RUN: opt %s -o %t1.bc
; RUN: %sprinstrument -config 01_const_function %t1.bc %t2.db %t2.bc
; RUN: clang %t2.bc %rt_flags -o %t2
; RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.pre
; RUN: %t2 one two three
; RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.post
; RUN: %t2
; RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.top
;
; RUN: grep 'argc -> bottom' %t2.pre
; RUN: grep 'argv -> bottom' %t2.pre
; RUN: grep 'argc -> #x00000004' %t2.post
; RUN: grep 'argc -> top' %t2.top
; RUN: grep 'argv -> top' %t2.top

define i32 @main(i32 %argc, i8** %argv) #0 {
start:
  ret i32 0
}
