/**
 * RUN: clang -c -emit-llvm %s -o %t1.pre.bc
 * RUN: opt -mem2reg -instnamer %t1.pre.bc -o %t1.bc
 * RUN: %sprinstrument -config memregion %t1.bc %t2.db %t2.bc
 * RUN: clang %t2.bc %rt_flags -o %t2
 *
 * RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.pre
 * RUN: %t2
 * RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.post
 * RUN: %t2 argument
 * RUN: %spranalyze -mode=only-dynamic -where=everywhere -function main %t2.bc > %t2.top
 */

#include <stdio.h>

extern void sprattus_probe(int, ...);

int main(int argc, char** argv)
{

    int* p = __builtin_alloca(10*sizeof(int));
    p[0] = 42;
    return 0;
}
