; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
;
; RUN: grep 'hundred -> (fp #b0 #b10000000101 #x9000000000000)' %t2
; RUN: grep 'one -> (fp #b0 #b01111111111 #x0000000000000)' %t2
; RUN: grep 'tmp -> (fp #b0 #b10000000101 #xf400000000000)' %t2
; RUN: grep 'tmp2 -> (fp #b0 #b01111111111 #x4000000000000)' %t2
; RUN: grep 'tmp3 -> (fp #b0 #b10000000000 #x2000000000000)' %t2
; RUN: grep 'tmp5 -> (fp #b0 #b10000000110 #xc200000000000)' %t2
; RUN: grep 'tmp7 -> (fp #b0 #b10000000101 #xf400000000000)' %t2
; RUN: grep 'res -> #x0.*7d' %t2

; CONFIG: config.FloatingPointModel = 'IEEE'
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i32 @test() #0 {
bb:
  %hundred = sitofp i32 100 to double
  %one = sitofp i32 1 to double
  %tmp = sitofp i32 125 to double
  %tmp2 = fdiv double %tmp, %hundred
  %tmp3 = fadd double %tmp2, %one
  %tmp5 = fmul double %tmp3, %hundred
  %tmp7 = fsub double %tmp5, %hundred
  %res = fptosi double %tmp7 to i32
  ret i32 %res
}
