; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2

; RUN: grep 'a -> (fp #b0 #b01111111111 #x0000000000000)' %t2
; RUN: grep 'b -> (fp #b1 #b01111111111 #x0000000000000)' %t2
; RUN: grep 'c -> (fp #b0 #b10000000000 #x0000000000000)' %t2
; RUN: grep 'd -> (fp #b1 #b10000000000 #x0000000000000)' %t2
; RUN: grep 'e -> (_ +zero 11 53)' %t2
; RUN: grep 'f -> (_ -zero 11 53)' %t2
; RUN: grep 'g -> (_ +oo 11 53)' %t2
; RUN: grep 'h -> (_ -oo 11 53)' %t2
; RUN: grep 'i -> (fp #b0 #b00000000000 #x0000000000001)' %t2
; RUN: grep 'j -> (fp #b1 #b00000000000 #x0000000000001)' %t2
; RUN: grep 'k -> (fp #b0 #b11010010111 #x9ce4ae6ed0f27)' %t2
; RUN: grep 'l -> (fp #b0 #b01111111111 #x199999999999a)' %t2

; CONFIG: config.FloatingPointModel = 'IEEE'
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define void @test() #0 {
bb:
    %a = fadd double 0.0, 1.0
    %b = fadd double 0.0, -1.0
    %c = fadd double 0.0, 2.0
    %d = fadd double 0.0, -2.0
    %e = fadd double 0.0, 0.0
    %f = fadd double -0.0, -0.0
    %g = fadd double 0.0, 0x7FF0000000000000
    %h = fadd double 0.0, 0xFFF0000000000000
    %i = fadd double 0.0, 4.94065645841e-324
    %j = fadd double 0.0, -4.94065645841e-324
    %k = fadd double 0.0, 1.23456789e+200
    %l = fadd double 0.0, 1.1
    ret void
}
