; RUN: opt %s > %t1.bc
; RUN: %spranalyze -where=everywhere -config=06_const_body %t1.bc > %t2
; RUN: grep 'loop_y -> #x0000000d' %t2
; RUN: grep 'left_y -> #x0000000d' %t2
; RUN: grep 'right_y -> #x0000000d' %t2

define i32 @test(i1 %x, i32 %c) #0 {
entry:
  br label %head

head:
  %loop_y = phi i32 [ 13, %entry ], [ %new_y, %end_loop ]
  %loop_c = phi i32 [ %c, %entry ], [ %new_c, %end_loop ]
  %new_c = add nsw i32 %loop_c, -1
  %continue_cond = icmp ne i32 %loop_c, 0
  br i1 %continue_cond, label %in_loop, label %exit

in_loop:
  br i1 %x, label %left1, label %right1

left1:
  %left_y = add i32 0, 13
  br label %left2

left2:
  br label %end_loop

right1:
  %right_y = add i32 0, %loop_y
  br label %right2

right2:
  br label %end_loop

end_loop:
  %new_y = phi i32 [ %left_y, %left2 ], [ %right_y, %right2 ]
  br label %head

exit:
  ret i32 %loop_y
}
