; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2.log
; RUN: grep 'x -> #x00000005' %t2.log
; RUN: grep 'y -> #x00000007' %t2.log

; CONFIG: config.ModuleContext = {'Recursive': True}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [SimpleConstProp, NumRels.Unsigned]

define void @test() #0 {
bb:
  %five = add i32 3, 2
  %seven = add i32 2, 5
  %x = call i32 @first(i32 %five, i32 %seven)
  %y = call i32 @second(i32 %five, i32 %seven)
  ret void
}

define i32 @first(i32 %a, i32 %b) #0 {
bb:
  ret i32 %a
}

define i32 @second(i32 %a, i32 %b) #0 {
bb:
  %foo = add i32 0, %b
  ret i32 %foo
}
