; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `seven` by value 7" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 7
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 1)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 7

define i32 @test(i1 %arg) #0 {
    br i1 %arg, label %left, label %right

left:
    %val_left = phi i32 [7, %0]
    br label %end

right:
    %val_right = phi i32 [7, %0]
    br label %end

end:
    %seven = phi i32 [%val_left, %left], [%val_right, %right]
    ret i32 %seven
}
