; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "%one.*-1" %t2.ll
; RUN: grep -e "Replaced use of `two` by value 2" %t2.log
; RUN: grep -e "Replaced use of `one` by value 1" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test()\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 1

define i32 @test() #0 {
start:
    br label %foo

foo:
    %mone = phi i32 [-1, %start]
    %two = phi i32 [2, %start]
    %one = add i32 %mone, %two
    ret i32 %one
}
