; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=16_const_header_verbose opt -load %pass -sprattus %t1.bc > %t2.ll 2> %t2.log'
; RUN: grep -e "Replaced use of `three` by value 3" %t2.log
; this is more of a test for fragments=header.
define i32 @test(i1 %arg) #0 {
start:
    br label %header

header:
    %x = phi i32 [0, %start], [%xinc, %loop_end]
    %cmp = icmp sle i32 %x, 7
    br i1 %cmp, label %loop, label %end

loop:
    br i1 %arg, label %left1, label %right1

left1:
    %val_left1 = phi i32 [1, %loop]
    br label %center

right1:
    %val_right1 = phi i32 [2, %loop]
    br label %center

center:
    %val1 = phi i32 [%val_left1, %left1], [%val_right1, %right1]
    br i1 %arg, label %left2, label %right2

left2:
    %val_left2 = add i32 %val1, 2
    br label %loop_end

right2:
    %val_right2 = add i32 %val1, 1
    br label %loop_end

loop_end:
    %three = phi i32 [%val_left2, %left2], [%val_right2, %right2]
    %xinc = add i32 %x, %three
    br label %header

end:
    ret i32 %x
}
