; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
;
; RUN: bash -c 'SPRATTUS_CONFIG=23_eqres_function_verbose opt -load %pass -sprattus -dce -S %t1.bc > %t2.ll 2> %t2.log'

; RUN: grep --invert "one" %t2.ll
; RUN: grep --invert "ref_three" %t2.ll
; RUN: grep --invert "notone" %t2.ll
; RUN: grep --invert "what" %t2.ll
; RUN: grep --invert "two" %t2.ll
; RUN: grep --invert "three" %t2.ll

declare i32 @unknown();

define i32 @test(i32 %arg1, i32 %arg2, i1 %cond) #0 {
start:
    %unk = call i32 @unknown()
    br label %foo

foo:
    %one = phi i32 [%arg1, %start]
    %ref_three = phi i32 [%unk, %start]
    %notone = add i32 %one, 7
    %what = add i32 %notone, -7
    br i1 %cond, label %bar, label %baz

bar:
    %two = add i32 %arg2, 0
    br label %end

baz:
    %three = add i32 %unk, 0
    br label %end


end:
    %tmp = phi i32 [%two, %bar], [%three, %baz]
    %res = add i32 %tmp, %what
    %ret = add i32 %res, %unk
    ret i32 %ret

}
