; XFAIL: win32
; RUN: bash -c 'SPRATTUS_CONFIG=03_const_edge opt -instnamer -load %pass -sprattus -S %s > %t2.ll'
; RUN: grep "%Ret = phi i32 \[ 0, %BB1 \], \[ 1, %BB2 \]" %t2.ll

; This is a basic sanity check for constant propagation.  The add instruction
; should be eliminated.

define i32 @test1(i1 %B) {
    br i1 %B, label %BB1, label %BB2
BB1:        ; preds = %0
    %Val = add i32 0, 0     ; <i32> [#uses=1]
    br label %BB3
BB2:        ; preds = %0
    br label %BB3
BB3:        ; preds = %BB2, %BB1
    %Ret = phi i32 [ %Val, %BB1 ], [ 1, %BB2 ]      ; <i32> [#uses=1]
    ret i32 %Ret
}
