; int test(int a)
; {
;   int x = 42;
;   for (int i = 0; i < a; i++) {
;       if (x == 0)
;           x = 0;
;   }
;   return x;
; }
;
; RUN: opt %s > %t1.bc
; RUN: %spranalyze -config=03_const_edge %t1.bc > %t2
; RUN: grep 'i -> top' %t2
; RUN: grep 'test_i -> #b0' %t2
; RUN: grep 'x -> #x0000002a' %t2

define i32 @test(i32 %a) #0 {
bb:
  br label %head

head:
  %x = phi i32 [ 42, %bb ], [ %x_next, %cont ]
  %i = phi i32 [ 0, %bb ], [ %i_next, %cont ]
  %test_i = icmp slt i32 %i, %a
  br i1 %test_i, label %body, label %end

body:
  %test_x = icmp eq i32 %x, 0
  br i1 %test_x, label %x_not_zero, label %cont

x_not_zero:
  br label %cont

cont:
  %x_next = phi i32 [ 0, %x_not_zero ], [ %x, %body ]
  %i_next = add nsw i32 %i, 1
  br label %head

end:
  ret i32 %x
}
