; Same test as the one in `semantics' but run using the edge-level worklist
; algorithm.
;
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=03_const_edge %t1.bc > %t2
; RUN: grep 'seven -> #x00000007' %t2
; RUN: grep 'arg -> top' %t2

define i32 @test(i1 %arg) #0 {
    br i1 %arg, label %left, label %right

left:
    %val_left = phi i32 [7, %0]
    br label %end

right:
    %val_right = phi i32 [7, %0]
    br label %end

end:
    %seven = phi i32 [%val_left, %left], [%val_right, %right]
    ret i32 %seven
}
