; RUN: opt %s > %t1.bc
; RUN: %spranalyze -config=03_const_edge %t1.bc > %t2
; RUN: grep 'i -> #x00000000' %t2
; RUN: grep 'x -> #x0000002a' %t2
; RUN: grep 'cond -> #b0' %t2
; RUN: grep 'i_arg -> top' %t2

define i32 @test(i32 %i_arg) #0 {
start:
  br label %loop

loop:                                              ; preds = %cont, %start
  %x = phi i32 [ 42, %start ], [ %x, %cont ]
  %i = phi i32 [ %i_arg, %start ], [ %i_new, %cont ]
  %cond = icmp ne i32 %i, 0
  br i1 %cond, label %cont, label %end

cont:                                              ; preds = %loop
  %i_new = add nsw i32 %i, -1
  br label %loop

end:                                               ; preds = %loop
  ret i32 %x
}
