; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: not %spranalyze -config=%t1.py -check-memsafety %t1.bc > %t2

; RUN: grep -E 'Possibly invalid memory access to p3 at bb' %t2
; RUN: grep -E 'Possibly invalid memory access to p4 at bb' %t2
; RUN: grep -E 'Possibly invalid memory access to p5 at bb' %t2
; RUN: grep -E 'Possibly invalid memory access to p6 at bb' %t2
; RUN: grep -E 'Possibly invalid memory access to p7 at bb' %t2
; RUN: grep -E '5 possibly invalid memory accesses detected.' %t2

; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [globals()['MemRegion']]

define i32 @test() {
bb:
  %p1 = alloca i32, i64 8
  %p2 = getelementptr i32* %p1, i64 0
  %p3 = getelementptr i32* %p1, i64 8
  %p4 = getelementptr i32* %p1, i64 9
  %p5 = getelementptr i32* %p1, i64 12
  %p6 = getelementptr i32* %p1, i64 -1
  %p7 = getelementptr i32* %p1, i64 -4

  %p8 = getelementptr i32* %p7, i64 8

  store i32 42, i32* %p1
  store i32 42, i32* %p2
  store i32 42, i32* %p3
  store i32 42, i32* %p4
  store i32 42, i32* %p5
  store i32 42, i32* %p6
  store i32 42, i32* %p7
  store i32 42, i32* %p8
  ret i32 42
}

