; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -not-in-ssa-form -config=%t1.py -check-memsafety %t1.bc > %t2
; RUN: grep -E 'No possibly invalid memory accesses detected.' %t2

; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [globals()['ValidRegion']]

define i32 @test(i64 %n) {
bb:
  %n_rem = urem i64 %n, 256
  %cmp = icmp ugt i64 %n_rem, 0
  %n_pos = select i1 %cmp, i64 %n_rem, i64 42
  %p = alloca i32, i64 %n_pos
  %x = load i32* %p
  ret i32 %x
}

