; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2

; RUN: grep -e 'p1 -> region of size #x0000000000000020' %t2
; RUN: grep -e 'p2 -> region of size #x0000000000000020' %t2
; RUN: grep -e 'p8 -> region of size #x0000000000000010' %t2

; RUN: grep -E 'p1 -> definitely valid region' %t2
; RUN: grep -E 'p2 -> definitely valid region' %t2
; RUN: grep -E 'p3 -> definitely invalid region' %t2
; RUN: grep -E 'p4 -> definitely invalid region' %t2
; RUN: grep -E 'p5 -> definitely invalid region' %t2
; RUN: grep -E 'p6 -> definitely invalid region' %t2
; RUN: grep -E 'p7 -> definitely invalid region' %t2

; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [globals()['ConstRegion'], globals()['ValidRegion']]

define i32 @test() {
bb:
  %p1 = alloca i32, i64 8
  %p2 = getelementptr i32* %p1, i64 0
  %p3 = getelementptr i32* %p1, i64 8
  %p4 = getelementptr i32* %p1, i64 9
  %p5 = getelementptr i32* %p1, i64 12
  %p6 = getelementptr i32* %p1, i64 -1
  %p7 = getelementptr i32* %p1, i64 -4

  %p8 = getelementptr i32* %p7, i64 8

  store i32 42, i32* %p1
  store i32 42, i32* %p2
  store i32 42, i32* %p3
  store i32 42, i32* %p4
  store i32 42, i32* %p5
  store i32 42, i32* %p6
  store i32 42, i32* %p7
  store i32 42, i32* %p8
  ret i32 42
}

