; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -not-in-ssa-form -config=%t1.py %t1.bc > %t2
; RUN: grep -E '\(p1, p2\): must not alias' %t2
; RUN: grep -E '\(p1, p3\): must not alias' %t2
; RUN: grep -E '\(p2, p3\): must alias' %t2

; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [globals()['NoAlias']]

define i32 @test() {
bb:
  %p1 = alloca i32, i64 1
  %p2 = alloca i32, i64 8
  %p3 = getelementptr i32* %p2, i64 4
  %x1 = load i32* %p1
  %x2 = load i32* %p3
  %x = add i32 %x1, %x2
  ret i32 %x
}

