; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep -E 'p1 -> definitely invalid region' %t2
; RUN: grep -E 'p2 -> definitely invalid region' %t2
; TODO: testcase for memsafety spranalyze

; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [globals()['ConstRegion'], globals()['ValidRegion']]

define i32 @test() {
bb:
  %p1 = getelementptr i32* null, i64 0
  %p2 = getelementptr i32* null, i64 4
  %x = load i32* %p1, align 4
  store i32 42, i32* %p2, align 4
  ret i32 %x
}

