; RUN: opt %s > %t1.bc
; RUN: %spranalyze -config=02_rel_function %t1.bc > %t2
; RUN: grep -E 'ptr = bp|bp = ptr' %t2
; RUN: grep -E 'ptr = x|x = ptr' %t2
; RUN: grep -E 'ptr = y|y = ptr' %t2
; RUN: grep -E 'ptr = wp|wp = ptr' %t2

define i16 @test(i16* %ptr) #0 {
bb:
  %bp = bitcast i16* %ptr to i8*
  %x = ptrtoint i8* %bp to i64
  %y = bitcast i64 %x to i64
  %wp = inttoptr i64 %y to i32*
  ret i16 0
}
