; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=01_const_function %t1.bc > %t2
; RUN: grep 'three -> #x00000003' %t2

define i32 @test(i1 %arg) #0 {
    br i1 %arg, label %left1, label %right1

left1:
    %val_left1 = phi i32 [1, %0]
    br label %center

right1:
    %val_right1 = phi i32 [2, %0]
    br label %center

center:
    %val1 = phi i32 [%val_left1, %left1], [%val_right1, %right1]
    br i1 %arg, label %left2, label %right2

left2:
    %val_left2 = add i32 %val1, 2
    br label %end

right2:
    %val_right2 = add i32 %val1, 1
    br label %end

end:
    %three = phi i32 [%val_left2, %left2], [%val_right2, %right2]
    ret i32 %three
}
