; RUN: opt %s -o %t1.bc
; RUN: %sprinstrument -config all_serializable_domains %t1.bc %t2.db %t2.bc
; RUN: clang %t2.bc %rt_flags -o %t2
; RUN: %t2
; RUN: %spranalyze -mode=only-dynamic -function empty %t2.bc > %t2.empty
; RUN: %spranalyze -mode=only-dynamic -function nonphi %t2.bc > %t2.nonphi
;
; RUN: grep 'x -> #x00000000' %t2.empty
; RUN: grep 'x -> #x00000001' %t2.nonphi
; RUN: grep 'y -> #x00000002' %t2.nonphi

define i32 @empty(i32 %x) #0 {
start:
    ret i32 0
}

define i32 @nonphi(i32 %x) #0 {
start:
    %y = add i32 %x, %x
    ret i32 0
}

define i32 @main(i32 %argc, i8** %argv) #0 {
start:
  call i32 @empty(i32 0)
  call i32 @nonphi(i32 1)
  ret i32 0
}
