; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep 'zero -> .*zero' %t2

; CONFIG: config.FloatingPointModel = 'IEEE'
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define double @test(double %x) #0 {
  %zero = fadd double 0.0, 0.0
  %a = fadd double %zero, 6.140000e-304
  %bad_pi = fadd double %zero, 3.14
  %b = fadd double %x, %a
  %c = fadd double %x, %zero
  %d = fadd double %a, %bad_pi
  ret double %b
}
