; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep 'a -> top' %t2
; RUN: grep 'b -> top' %t2
; RUN: grep 'c -> #b1' %t2
;
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.FloatingPointModel = 'IEEE'
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i1 @test(double %x) #0 {
bb:
  %a = fcmp uno double %x, 0.000000e+00
  %b = fcmp ord double %x, 0.000000e+00
  %c = or i1 %a, %b
  ret i1 %c
}
