; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -where=everywhere -config=%t1.py %t1.bc > %t2
; RUN: grep 'x -> (_ NaN 11 53)' %t2
;
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.FloatingPointModel = 'IEEE'
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i1 @test(double %x) #0 {
bb:
  %a = fcmp uno double %x, 0.000000e+00
  br i1 %a, label %isnan, label %end

isnan:
  br label %end

end:
  ret i1 %a
}
