; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2.log
; RUN: grep 'fv -> #x00000005' %t2.log
; RUN: grep 'sv -> #x00000007' %t2.log
; RUN: grep 'r -> #x0000000c' %t2.log

; CONFIG: config.ModuleContext = {'Recursive': True}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i32 @test() #0 {
bb:
  %fv = call i32 @five()
  %sv = call i32 @seven()
  %r = add nsw i32 %fv, %sv
  ret i32 %r
}

define i32 @five() #0 {
bb:
  %x = add i32 3, 2
  ret i32 %x
}

define i32 @seven() #0 {
bb:
  %x = add i32 2, 5
  ret i32 %x
}
