; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2.log

; CONFIG: config.ModuleContext = {'Recursive': True}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i32 @test() #0 {
bb:
  %r = call i32 @fib(i32 10)
  ret i32 %r
}

define i32 @fib(i32 %x) #0 {
bb:
  %cond = icmp sle i32 %x, 1
  br i1 %cond, label %terminate, label %recurse
terminate:
  ret i32 %x
recurse:
  %x1 = sub nsw i32 %x, 1
  %x2 = sub nsw i32 %x, 2
  %a = call i32 @fib(i32 %x1)
  %b = call i32 @fib(i32 %x2)
  %r = add i32 %a, %b
  ret i32 %r
}

