; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -function=test -config=%t1.py %t1.bc > %t2.log
; RUN: grep 'bottom' %t2.log

; CONFIG: config.ModuleContext = {'Recursive': True}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define void @test() #0 {
bb:
  call void @foo(i32 0)
  %bot = add i32 0, 0
  ret void
}

define void @foo(i32 %x) #0 {
entry:
  br label %loop
loop:
  br label %loop
exit:
  %y = add i32 %x, 0
  ret void
}
