; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `zero` by value 0" %t2.log
; RUN: grep -e "Replaced use of `t4` by value 0" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i8 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 0
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i8 42)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 0

define i32 @test(i8 zeroext %arg) #0
{
start:
    %t1 = zext i8 %arg to i32
    %t2 = ashr i32 %t1, 7
    %t3 = shl i32 %t2, 8
    %t4 = trunc i32 %t3 to i8
    %zero = zext i8 %t4 to i32
    ret i32 %zero
}
