; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i32 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 0
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i32 7)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 7
; This one was intended for the extended transformations and doesn't show anything without them.


define i32 @test(i32 %arg) #0 {
    br i1 true, label %left1, label %right1

left1:
    %val_left1 = phi i32 [1, %0]
    br label %left2

right1:
    %val_right1 = phi i32 [2, %0]
    br label %right2

left2:
    %val_left2 = add i32 %val_left1, 2
    br label %end

right2:
    %val_right2 = add i32 %val_right1, 1
    br label %end

end:
    %res = phi i32 [%arg, %left2], [42, %right2]
    ret i32 %res
}
