; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `arg1` by value 1" %t2.log
; RUN: grep -e "Replaced use of `arg2` by value 2" %t2.log
; RUN: grep -e "Replaced use of `arg3` by value 3" %t2.log
; RUN: grep -e "Replaced use of `arg4` by value 5" %t2.log
; RUN: grep -e "Replaced use of `ival1` by value 1" %t2.log
; RUN: grep -e "Replaced use of `ival2` by value 0" %t2.log
; RUN: grep -e "Replaced use of `ival3` by value 0" %t2.log
; RUN: grep -e "Replaced use of `ival4` by value 1" %t2.log
; RUN: grep -e "Replaced use of `val` by value 1" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test()\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 1

define i32 @test() #0 {
    %arg1 = add i32 1, 0
    %arg2 = add i32 2, 0
    %arg3 = add i32 3, 0
    %arg4 = add i32 5, 0
    %ival1 = icmp eq i32  %arg1, 1
    br i1 %ival1, label %step1, label %no

step1:
    %ival2 = icmp ne i32  %arg2, 2
    br i1 %ival2, label %no, label %step2

step2:
    %ival3 = icmp ugt i32  %arg3, 3
    br i1 %ival3, label %no, label %step3

step3:
    %ival4 = icmp uge i32  %arg4, 5
    br i1 %ival4, label %no, label %step4

step4:
    %ival5 = icmp slt i32  %arg4, 4
    br i1 %ival5, label %no, label %step5

step5:
    %ival6 = icmp sle i32  %arg3, 2
    br i1 %ival6, label %no, label %yes

yes:
    %val_yes = add i32 1, 0
    br label %end

no:
    %val_no = add i32 1, 0
    br label %end

end:
    %val = phi i32 [ %val_yes, %yes ], [ %val_no, %no ]
    ret i32 %val
}
