; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=17_const_function_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `three` by value 3" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 3
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 1)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 3
; this won't work without proper abstract values for every bb


define i32 @test(i1 %arg) #0 {
    br i1 %arg, label %left1, label %right1

left1:
    %val_left1 = phi i32 [1, %0]
    br label %center

right1:
    %val_right1 = phi i32 [2, %0]
    br label %center

center:
    %val1 = phi i32 [%val_left1, %left1], [%val_right1, %right1]
    br i1 %arg, label %left2, label %right2

left2:
    %val_left2 = add i32 %val1, 2
    br label %end

right2:
    %val_right2 = add i32 %val1, 1
    br label %end

end:
    %three = phi i32 [%val_left2, %left2], [%val_right2, %right2]
    ret i32 %three
}
