; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=03_const_edge opt -load %pass -sprattus %t1.bc > %t2.bc'
; RUN: bash %checklli %t2.bc 1
; This one calculates the ackermann function and is copied from the llvm benchmarks.
; No transformation intended.

define i32 @ack(i32 %x, i32 %y) #0 {
entry:
  %cmp5 = icmp eq i32 %x, 0
  br i1 %cmp5, label %if.then, label %if.end

if.then.loopexit:
  %y.tr.be.lcssa = phi i32 [ %y.tr.be, %tailrecurse.backedge ]
  br label %if.then

if.then:
  %y.tr.lcssa = phi i32 [ %y, %entry ], [ %y.tr.be.lcssa, %if.then.loopexit ]
  %add = add nsw i32 %y.tr.lcssa, 1
  ret i32 %add

if.end:
  %y.tr7 = phi i32 [ %y.tr.be, %tailrecurse.backedge ], [ %y, %entry ]
  %x.tr6 = phi i32 [ %sub, %tailrecurse.backedge ], [ %x, %entry ]
  %sub = add nsw i32 %x.tr6, -1
  %tobool = icmp eq i32 %y.tr7, 0
  br i1 %tobool, label %tailrecurse.backedge, label %cond.true

tailrecurse.backedge:
  %y.tr.be = phi i32 [ %call, %cond.true ], [ 1, %if.end ]
  %cmp = icmp eq i32 %sub, 0
  br i1 %cmp, label %if.then.loopexit, label %if.end

cond.true:
  %sub1 = add nsw i32 %y.tr7, -1
  %call = tail call i32 @ack(i32 %x.tr6, i32 %sub1)
  br label %tailrecurse.backedge
}

define i8 @main() #1 {
entry:
  %call = tail call i32 @ack(i32 3, i32 11)
  %cmpr = icmp eq i32 %call, 16381
  %res = zext i1 %cmpr to i8
  ret i8 %res
}
