; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
;
; RUN: bash -c 'SPRATTUS_CONFIG=23_eqres_function_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'

; RUN: awk '{print >out}; /equalities for foo:/{out="%t3.log"}; /^  \]$/{out=/dev/null}' out=/dev/null %t2.log
; RUN: grep -e 'one' %t3.log
; RUN: grep -e 'arg1' %t3.log
; RUN: grep --invert -e 'what' %t3.log
; RUN: wc -l %t3.log | awk '{print $1}' | grep '2'

; RUN: awk '{print >out}; /equalities for baz:/{out="%t4.log"}; /^  \]$/{out=/dev/null}' out=/dev/null %t2.log
; RUN: grep -e '\<three\>' %t4.log
; RUN: grep -e 'arg3' %t4.log
; RUN: grep -e 'ref_three' %t4.log
; RUN: wc -l %t4.log | awk '{print $1}' | grep '2'

; RUN: awk '{print >out}; /equalities for bar:/{out="%t5.log"}; /^  \]$/{out=/dev/null}' out=/dev/null %t2.log
; RUN: grep -e '\<two\>' %t5.log
; RUN: grep -e 'arg2' %t5.log
; RUN: wc -l %t5.log | awk '{print $1}' | grep '2'

; RUN: awk '{print >out}; /equalities for end:/{out="%t6.log"}; /^  \]$/{out=/dev/null}' out=/dev/null %t2.log
; RUN: grep -e 'one' %t6.log
; RUN: grep -e 'arg1' %t6.log
; RUN: grep -e 'what' %t6.log
; RUN: grep --invert -e '\<three\>' %t6.log
; RUN: grep -e 'arg3' %t6.log
; RUN: grep -e 'ref_three' %t6.log
; RUN: wc -l %t6.log | awk '{print $1}' | grep '3'

define i32 @test(i32 %arg1, i32 %arg2, i32 %arg3, i1 %cond) #0 {
start:
    br label %foo

foo:
    %one = phi i32 [%arg1, %start]
    %ref_three = phi i32 [%arg3, %start]
    %notone = add i32 %one, 7
    %what = add i32 %notone, -7
    br i1 %cond, label %bar, label %baz

bar:
    %two = add i32 %arg2, 0
    br label %end

baz:
    %three = add i32 %arg3, 0
    br label %end


end:
    %tmp = phi i32 [%two, %bar], [%three, %baz]
    %res = add i32 %tmp, %what
    %ret = add i32 %res, %arg3
    ret i32 %ret

}
