; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=15_const_edge_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `three` by value 3" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 3
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 1)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 3

define i32 @test(i1 %arg) #0 {
  %valA = select i1 %arg, i32 1, i32 2
  %valB = select i1 %arg, i32 2, i32 1
  %three = add nuw nsw i32 %valA, %valB
  ret i32 %three
}
