; XFAIL: win32
; RUN: opt -instnamer %s > %t1.bc
; RUN: bash -c 'SPRATTUS_CONFIG=17_const_function_verbose opt -load %pass -sprattus -S %t1.bc > %t2.ll 2> %t2.log'
;
; RUN: grep -e "Replaced use of `res` by value 3" %t2.log
; RUN: grep -e "Replaced use of `three` by value 3 in `` (bb: `onthree`)" %t2.log
; RUN: grep -e "Replaced use of `three` by value 3 in `` (bb: `bb`)" %t2.log
;
; RUN: cp %t2.ll %t3.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 0)\n  ret i32 %1\n}" >> %t3.ll
; RUN: bash %checklli %t3.ll 3
; RUN: cp %t2.ll %t4.ll
; RUN: echo -e "\ndefine i32 @main() #0 {\n  %1 = call i32 @test(i1 1)\n  ret i32 %1\n}" >> %t4.ll
; RUN: bash %checklli %t4.ll 3

define i32 @test(i1 %arg) #0 {
  %three = add i32 3, 0
  switch i32 %three, label %defdest1 [i32 1, label %onone
                                      i32 3, label %onthree
                                      i32 5, label %onfive]
onone:
  br label %endb

ontwo:
  br label %endb

onthree:
  switch i32 %three, label %defdest2 [i32 2, label %ontwo
                                      i32 4, label %onfour]

onfour:
  br label %endb

onfive:
  br label %endb

defdest1:
  br label %endb

defdest2:
  br label %endb

endb:
  %res = phi i32 [0, %defdest1],
                 [1, %onone],
                 [2, %ontwo],
                 [4, %onfour],
                 [5, %onfive],
                 [3, %defdest2]
  ret i32 %res
}
