; XFAIL: win32
; This is a basic sanity check for constant propagation.  It tests the basic
; arithmatic operations.

; RUN: bash -c 'SPRATTUS_CONFIG=03_const_edge opt -instnamer -load %pass -sprattus -die -dce -simplifycfg -S %s > %t2.ll'
; RUN: grep --invert mul %t2.ll
; RUN: grep --invert urem %t2.ll

define i64 @test(i1 %B) {
    br i1 %B, label %BB1, label %BB2
BB1:
    %t1 = add i64 0, 1
        %t2 = sub i64 0, %t1
        %t3 = mul i64 %t2, -1
    br label %BB3
BB2:
        %f1 = udiv i64 -1, 1
        %f2 = add i64 %f1, 1
        %f3 = urem i64 %f2, 2121
    br label %BB3
BB3:
    %Ret = phi i64 [%t3, %BB1], [%f3, %BB2]
    ret i64 %Ret
}
