; XFAIL: win32
; This is a basic sanity check for constant propagation.  It tests the basic
; logic operations.

; RUN: bash -c 'SPRATTUS_CONFIG=03_const_edge opt -instnamer -load %pass -sprattus -die -dce -simplifycfg -S %s > %t2.ll'
; RUN: grep --invert and %t2.ll
; RUN: grep --invert trunc %t2.ll
; RUN: grep -e "ret i32 \(-1\|2147483647\)" %t2.ll

define i32 @test(i64 %A) {
        %B = and i64 0, %A
        %C = icmp sgt i64 %B, 0
    br i1 %C, label %BB1, label %BB2
BB1:
        %t3 = xor i64 %B, -1
        %t4 = trunc i64 %t3 to i32
    br label %BB3
BB2:
        %f1 = or i64 -1, %A
        %f2 = lshr i64 %f1, 33
        %f3 = trunc i64 %f2 to i32
    br label %BB3
BB3:
    %Ret = phi i32 [%t4, %BB1], [%f3, %BB2]
    ret i32 %Ret
}
