; RUN: opt %s > %t1.bc
; RUN: %spranalyze -config=05_const_rel_edge %t1.bc > %t2
; RUN: grep -E 'i_arg >= i|i =< i_arg' %t2
; RUN: grep 'i -> #x00000000' %t2

define i32 @test(i32 %i_arg) #0 {
start:
  br label %loop

loop:
  %i = phi i32 [ %i_arg, %start ], [ %i_new, %cont ]
  %cond = icmp ne i32 %i, 0
  br i1 %cond, label %cont, label %end

cont:
  %i_new = add nsw i32 %i, -1
  br label %loop

end:
  ret i32 %i
}
