; RUN: %extract_config %s > %t1.py
; RUN: opt %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep 'res -> #xabcd' %t2

; CONFIG: config.MemoryModel = {'AddressBits': 8, 'Variant': 'LittleEndian'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i16 @test(i16* %ptr) #0 {
bb:
  %byte_ptr = bitcast i16* %ptr to i8*
  %tmp1 = getelementptr inbounds i8* %byte_ptr, i64 0
  store i8 -51, i8* %tmp1, align 1
  %tmp2 = getelementptr inbounds i8* %byte_ptr, i64 1
  store i8 -85, i8* %tmp2, align 1
  %res = load i16* %ptr, align 2
  ret i16 %res
}
