; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py -check-memsafety %t1.bc > %t2.log
; RUN: grep -F "Definitely valid memory access to p2 at test_bb" %t2.log

; TODO: How should we handle the store in `foo`?

; CONFIG: config.ModuleContext = {'Recursive': True}
; CONFIG: config.MemoryModel = {'Variant': 'BlockModel'}
; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = [MemRegion, NumRels]

define i32 @test() {
test_bb:
  %p = alloca i32, i64 12

  %p2 = call i32* @foo(i32* %p)

  %r = load i32* %p2
  ret i32 %r
}

define i32* @foo(i32* %p) {
foo_bb:
  store i32 42, i32* %p
  ret i32* %p
}
