; RUN: opt %s -o %t1.bc
; RUN: %extract_config %s > %t1.py
; RUN: %spranalyze -where=everywhere -config=%t1.py %t1.bc > %t2.log
; RUN: grep 'k1 = x + #x00000003' %t2.log
; RUN: grep 'p1 = ptr + #x0000000000000020' %t2.log

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Body'}
; CONFIG: config.AbstractDomain = NumRels(ParamStrategy.ConstOffsets())

define i32 @foo(i32 %x, i32* %ptr) #0 {
entry:
  %k1 = add i32 3, %x
  %k2 = sub i32 2, %k1
  %p1 = getelementptr i32* %ptr, i32 8
  ret i32 %k1
}
