; XFAIL: win32
; Issue #108: unsound results when run on a bitcode file (as opposed to .ll)
;
; RUN: opt %s -o %t1.bc
; RUN: bash -c "SPRATTUS_CONFIG=06_const_body opt -load %pass -sprattus -S -o %t2.mod.1.ll %s"
; RUN: bash -c "SPRATTUS_CONFIG=06_const_body opt -load %pass -sprattus -S -o %t2.mod.2.ll %t1.bc"
; RUN: cat %t2.mod.1.ll | awk '/ModuleID/ {next} {print}' > %t2.1.ll
; RUN: cat %t2.mod.2.ll | awk '/ModuleID/ {next} {print}' > %t2.2.ll
; RUN: diff %t2.1.ll %t2.2.ll

@imr = common global [41 x [41 x i32]] zeroinitializer, align 16

define void @test() #0 {
entry:
  br label %for.cond1.preheader

for.cond1.preheader:
  br label %for.body3

for.body3:
  %iv = phi i64 [ 1, %for.cond1.preheader ], [ %iv.next, %Innerproduct.exit ]
  %arrayidx5 = getelementptr inbounds [41 x [41 x i32]]* @imr, i64 0, i64 %iv
  br label %Innerproduct.exit

Innerproduct.exit:
  %iv.next = add nuw nsw i64 %iv, 1
  %exitcond = icmp eq i64 %iv.next, 41
  br i1 %exitcond, label %for.inc6, label %for.body3

for.inc6:
  %exitcond37 = icmp eq i64 41, 41
  br i1 %exitcond37, label %for.end8, label %for.cond1.preheader

for.end8:
  ret void
}
