; Corresponds to: (x & 0x0f) ^ ~((~x) | 0xf0)
;
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=01_const_function %t1.bc > %t2
; RUN: grep 'zero -> #x00' %t2

define zeroext i8 @test(i8 zeroext %x) #0
{
    %neg_x = xor i8 %x, -1
    %x_and = and i8 %x, 15
    %neg_x_or = or i8 %neg_x, 240
    %or_neg = xor i8 %neg_x_or, -1
    %zero = xor i8 %or_neg, %x_and
    ret i8 %zero
}
