; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2.log
; RUN: grep '(= arg #x00) : top' %t2.log
; RUN: grep '(= zero #x00000000) : always TRUE' %t2.log
; RUN: grep '(= notzero #x00000000) : always FALSE' %t2.log

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['LegacyNull']]

; XFAIL: *
; TODO implement != Null domain

define i32 @test(i8 zeroext %arg) #0
{
start:
    %t1 = zext i8 %arg to i32
    %t2 = ashr i32 %t1, 7
    %t3 = shl i32 %t2, 8
    %t4 = trunc i32 %t3 to i8
    %zero = zext i8 %t4 to i32
    %notzero = add i32 %zero, 1
    ret i32 %zero
}
