; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2.log
; RUN: grep -e '\(one == notone\)\|\(notone == one\) : always FALSE' %t2.log
; RUN: grep -e '\(one == what\)\|\(what == one\) : always TRUE' %t2.log
; RUN: grep -e '\(notone == what\)\|\(what == notone\)) : always FALSE' %t2.log

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Function'}
; CONFIG: config.AbstractDomain = [globals()['Equality']]

define i32 @test(i32 %arg) #0 {
start:
    br label %foo

foo:
    %one = phi i32 [1, %start]
    %notone = add i32 %one, 7
    %what = add i32 %notone, -7
    ret i32 %what
}
