; Corresponds to: (3*arg + arg)/arg
;
; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep 't3 -> #x00000004' %t2
;
; CONFIG: config.FunctionContext = {'AssumeNoUndef': True}
; CONFIG: config.AbstractDomain = [globals()['SimpleConstProp']]

define i32 @test(i32 %arg) #0
{
    %t1 = mul nsw i32 3, %arg
    %t2 = add nsw i32 %t1, %arg
    %t3 = sdiv i32 %t2, %arg
    ret i32 %t3
}
