; RUN: %extract_config %s > %t1.py
; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=%t1.py %t1.bc > %t2
; RUN: grep 'i -> \[4, 4\]' %t2
; RUN: grep 'sum -> top' %t2

; CONFIG: config.FragmentDecomposition = {'Strategy': 'Edges'}
; CONFIG: config.AbstractDomain = [globals()['Interval']]

define i8 @test() {
start:
    br label %loop_header

loop_header:
    %i = phi i8 [0, %start], [%iinc, %loop_body]
    %sum = phi i8 [0, %start], [%sum_inc, %loop_body]

    %cmp = icmp sle i8 %i, 3
    br i1 %cmp, label %loop_body, label %end

loop_body:
    %iinc = add i8 %i, 1
    %sum_inc = add i8 %sum, %i
    br label %loop_header

end:
    ret i8 %sum
}

