; RUN: opt -instnamer %s > %t1.bc
; RUN: %spranalyze -config=all_rels_body %t1.bc > %t2
; RUN: grep 'a < b' %t2
; RUN: grep 'a >S b' %t2
;
; Equivalent to:
; if (unsigned(a) <= unsigned(b) && signed(a) > signed(b)) return; else for(;;);

define void @test(i32 %a, i32 %b) #0 {
    %ival1 = icmp ule i32  %a, %b
    br i1 %ival1, label %step, label %trap

step:
    %ival2 = icmp sgt i32 %a, %b
    br i1 %ival2, label %end, label %trap

trap:
    br label %trap

end:
    ret void
}
